/*
Example for Solar_Energy Click

    Date          : Aug 2017.
    Author        : Djordje Rosic

Test configuration TIVA :
    
    MCU             : TM4C129XNCZAD
    Dev. Board      : EasyMx PRO v7 for TIVA ARM
    SW              : mikroC PRO for ARM v5.1.0

Description :

    Following example will charge the battery if it is empty, and stop charging
    when the battery is full. When battery full status is detected, device is
    disabled, but will check battery status every 10 seconds.

*/
sbit SOLAR_EN_PIN at GPIO_PORTB_AHB_DATA.B0;
sbit SOLAR_INT_PIN at GPIO_PORTF_AHB_DATA.B4;
void systemInit()
{
    GPIO_Digital_Output(&GPIO_PORTB_AHB, _GPIO_PINMASK_0 );
    GPIO_Digital_Input (&GPIO_PORTF_AHB, _GPIO_PINMASK_4 );
}

void Solar_Energy_Init()
{
    SOLAR_EN_PIN = 0;
}

void Solar_Energy_Task()
{
    if (SOLAR_INT_PIN)
    {
        SOLAR_EN_PIN = 1;
        Delay_ms (10000);
    }
    else
    {
        SOLAR_EN_PIN = 0;
    }
}

void main()
{
    systemInit();
    Solar_Energy_Init();

    while( 1 )
    {
            Solar_Energy_Task();
    }
}